clang 10.0.0git

Classes | Namespaces
TargetInfo.h File Reference
`#include "CodeGenModule.h"`
`#include "CGValue.h"`
`#include "clang/AST/Type.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/SyncScope.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/StringRef.h"`
Include dependency graph for TargetInfo.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::CodeGen::TargetCodeGenInfo
| TargetCodeGenInfo - This class organizes various target-specific codegeneration issues, like target-specific attributes, builtins and so on. More...
class | clang::CodeGen::TargetCodeGenInfo::TargetOpenCLBlockHelper
| Interface class for filling custom fields of a block literal for OpenCL. More...

## Namespaces
| llvm
| Specialize PointerLikeTypeTraits to allow LazyGenerationalUpdatePtr to be placed into a PointerUnion.
| clang
| Dataflow Directional Tag Classes.
| clang::CodeGen